<?php
/**
 * Header Options
 *
 * @package Scope News
 */

$wp_customize->add_section(
	'scope_news_header_options',
	array(
		'panel' => 'scope_news_theme_options',
		'title' => esc_html__( 'Header Options', 'scope-news' ),
	)
);

// Header Section - Enable Topbar Section.
$wp_customize->add_setting(
	'scope_news_enable_topbar_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'scope_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Scope_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'scope_news_enable_topbar_section',
		array(
			'label'    => esc_html__( 'Enable Topbar Section', 'scope-news' ),
			'section'  => 'scope_news_header_options',
			'settings' => 'scope_news_enable_topbar_section',
		)
	)
);

// Header Options - Topbar Menu Title Label.
$wp_customize->add_setting(
	'scope_news_topbar_menu_title_label',
	array(
		'default'           => __( 'Quick Links', 'scope-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'scope_news_topbar_menu_title_label',
	array(
		'label'    => esc_html__( 'Topbar Menu Title Label', 'scope-news' ),
		'section'  => 'scope_news_header_options',
		'settings' => 'scope_news_topbar_menu_title_label',
		'type'     => 'text',
	)
);
